Start your migration or new app development today! Apps with over 100 users can submit for verification starting on March 30th.
To ensure a seamless experience for your users, we recommend waiting until the end of May 2026 to officially launch your integration to align with legacy Fitbit account deprecation. Please be aware that from now until the end of May, breaking changes may occur as we respond to developer feedback.
Method: users.dataTypes.dataPoints.exportExerciseTcx
Stay organized with collections
Save and categorize content based on your preferences.
Exports exercise data in TCX format.
Note: While the Authorization section below states that any one of the listed scopes is accepted, this specific method requires the user to provide both one of the activity_and_fitness scopes (normal or readonly) AND one of the location scopes (normal or readonly) in their access token to succeed.
HTTP request
GET https://health.googleapis.com/v4/{name=users/*/dataTypes/*/dataPoints/*}:exportExerciseTcx
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Path parameters
| Parameters |
name |
string
Required. The resource name of the exercise data point to export. Format: users/{user}/dataTypes/exercise/dataPoints/{dataPoint} Example: users/me/dataTypes/exercise/dataPoints/2026443605080188808 The {user} is the alias "me" currently. Future versions may support user IDs. The {dataPoint} ID maps to the exercise ID, which is a long integer. It takes the form users/{user}/dataTypes/{datatype}/dataPoints/{datapoint}.
|
Query parameters
| Parameters |
partialData |
boolean
Optional. Indicates whether to include the TCX data points when the GPS data is not available. If not specified, defaults to false and partial data will not be included.
|
Request body
The request body must be empty.
Response body
Represents a Response for exporting exercise data in TCX format.
If successful, the response body contains data with the following structure:
| JSON representation |
{
"tcxData": string
} |
| Fields |
tcxData |
string
Contains the exported TCX data.
|
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-03-24 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-03-24 UTC."],[],[]]